Skip to main content
Create Facebook Channel
curl --request POST \
  --url https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environments/{environment_id}/channels/facebook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "application_secret": "<string>",
  "verification_token": "<string>",
  "page_access_token": "<string>",
  "name": "<string>",
  "channel_app_id": "<string>",
  "channel": "facebook",
  "created_on": "<string>",
  "updated_at": "<string>",
  "created_by": "<string>",
  "updated_by": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environments/{environment_id}/channels/facebook"

payload = {
"application_secret": "<string>",
"verification_token": "<string>",
"page_access_token": "<string>",
"name": "<string>",
"channel_app_id": "<string>",
"channel": "facebook",
"created_on": "<string>",
"updated_at": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_secret: '<string>',
verification_token: '<string>',
page_access_token: '<string>',
name: '<string>',
channel_app_id: '<string>',
channel: 'facebook',
created_on: '<string>',
updated_at: '<string>',
created_by: '<string>',
updated_by: '<string>',
description: '<string>'
})
};

fetch('https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environments/{environment_id}/channels/facebook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required
environment_id
string
required

Body

application/json
application_secret
string
required
verification_token
string
required
page_access_token
string
required
name
string | null
channel_app_id
string | null
channel
string
default:facebook
Allowed value: "facebook"
created_on
string | null
updated_at
string | null
created_by
string | null
updated_by
string | null
description
string | null
Maximum string length: 1024

Response

Successful Response